Bug 34878 - Open file handle prevents removal of redirected disk directory
Open file handle prevents removal of redirected disk directory
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Terminal services
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Erik Damrose
Moritz Muehlenhoff
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-20 13:04 CEST by Erik Damrose
Modified: 2014-12-02 12:25 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2014-05-20 13:04:58 CEST
Seen while testing windows terminal services with neutrinordp:

univention-ucc-remote-mount/remove_fstab_entry unmounts the usb stick and then trys to remove the mountpoint-directory in /run/drives by calling rmdir on it. If a handle to the directory is still existent, e.g. by having an explorer window open in the directory, the mountpoint-directory on the UCC client is not removed.

The user is still capable of copying files into the directory, possibly not knowing that they are not saved on the usb stick.

remove_fstab_entry should remove the directory with rm -f
Comment 1 Erik Damrose univentionstaff 2014-05-20 13:52:40 CEST
r50448 univention-ucc-remote-mount 2.0.1-5
r50449 changelog
Comment 2 Erik Damrose univentionstaff 2014-05-20 13:58:30 CEST
QA: In a Windows Terminal server session, insert a usb stick and open an explorer window on the remotely mounted directory, maybe even open a file. If the stick is unplugged, the directory on the ucc client in /run/drives should be removed.
Comment 3 Moritz Muehlenhoff univentionstaff 2014-05-21 09:24:53 CEST
(In reply to Erik Damrose from comment #2)
> QA: In a Windows Terminal server session, insert a usb stick and open an
> explorer window on the remotely mounted directory, maybe even open a file.
> If the stick is unplugged, the directory on the ucc client in /run/drives
> should be removed.

Indeed, working fine.
Comment 4 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:35 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".